Stack Exchange Network

Stack Exchange network consists of 174 Q&A communities including Stack Overflow, the largest, most trusted online community for developers to learn, share their knowledge, and build their careers.

Visit Stack Exchange

Questions tagged [installation]

Procedure of making a computer program ready for execution

1
vote
1answer
23 views

Installing shapely on Linux?

I am beginner in Linux. I have a problem to use Shapely 1.6.4 post2... I installed shapely by this command: $ pip install shapely and it worked good Collecting shapely Using cached https://files....
1
vote
1answer
56 views

QGIS installation vanished! Re-installation attempts produce dependency-errors

So, I am using Ubuntu 18.04.1 LTS and use Qgis 3.4 for GIS analysis. I had a week long pause using QGIS for about a week, and it was quite an unhappy surprise to find out this morning that the whole ...
0
votes
1answer
18 views

GDAL import error in Python3.6

I'm attempting to import gdal in Python 3.6 and I receive the error below. ImportError: dlopen(/anaconda3/lib/python3.6/site-packages/osgeo/_gdal.cpython-36m-darwin.so, 2): Symbol not found: ...
9
votes
1answer
118 views

GRASS Processing not working on QGIS?

I've been having several issues making GRASS algorithms work from the Processing toolbox. When you fresh install QGIS 3.4 (MacOS High Sierra), first it doesn't find python -- which I solved by ...
-2
votes
0answers
37 views

Can Google Earth Engine Python API be installed in Windows 7 32 bit machine?

I am learning to use Google Earth Engine. But my current desktop is Windows 7 32 bit. Can Google Earth Engine Python API be installed in this machine?
0
votes
0answers
38 views

WFS Client plugin fails to install on QGIS 3.4.2

After installing Desktop version of QGIS 3.4.2 (on Windows), installing the plugin WFS Client 2.0 (v.0.9.8) (https://plugins.qgis.org/plugins/wfsclient/) fails with the error shown below: ImportError:...
0
votes
2answers
31 views

QGIS Installation on Mac - Mac doesn't accept QGIS as a trusted developer

I am trying to install QGIS on a MacBook, using MacOS High Sierra Version 10.13.6. For some reason, having installed Python 3.6, my Mac refuses to use the installer saying that QGIS is not a trusted ...
0
votes
0answers
24 views

libqgis_core.so.3.4.1 is missing (ubuntu 18.04)

Wile I was trying to amateurish solve the problem of that post: QGIS 3.4.1 crash without error after opening "options" (18.04. Bionic Beaver) I got a new, much more dramatic problem: /...
5
votes
0answers
95 views

Unattended QGIS updates with OSGeo4W

I would like to do an unattended update of my QGIS install every night using windows task scheduler. Is it possible to automatically update all installed packages with the OSGeo4W-Installer without ...
1
vote
0answers
26 views

Installing ArcGIS Desktop correctly?

I posted this on the ESRI technical support forum, but I figured I'd cross-post it here, too. I'm trying to use ArcGIS 10.6 (Desktop Advanced) on a Windows 7 Pro machine. However, something is ...
4
votes
0answers
114 views

QGIS 3.4.1 Extensions Repository not available

In my QGIS 3.4.1 installation (Windows 10) the extensions repository says "unavailable", like in this older post: Why I can't install plugins?. I already added the repository with "HTTP" instead of "...
1
vote
2answers
70 views

How to completely remove QGIS for clean reinstall Windows 10

My initial install was Dufour 2.0 and have update to 2.18 and then recently to 3.4. 20 worked fine, but then 2.18 had some periodic crashes that were intermittent. Now at 3.4 QGIS "hangs p" and I ...
1
vote
1answer
131 views

Installation error - PostGIS on Ubuntu 18 [duplicate]

I have installed PostgreSQL 11 on Ubuntu 18 and while creating PostGIS extension it gives this error. could not load library "/usr/lib/postgresql/11/lib/postgis-2.5.so": /usr/lib/postgresql/11/...
0
votes
1answer
31 views

QGIS GDAL Installation Error

I am using a Mac OS High Sierra, version 10.13.6. While installing the more recent version of QGIS, I ran into a popup that said "Failure, The GDAL 2.3 framework is required." Naturally, I opened ...
1
vote
1answer
73 views

OpenLayers install npm install --save-dev parcel-bundler error

I am trying to setup OpenLayers on my computer. I am following the directions here: http://openlayers.org/en/latest/doc/tutorials/bundle.html But when I do: npm install --save-dev parcel-bundler I ...
0
votes
1answer
91 views

How to upgrade pgAdmin 4 in Windows? [closed]

A new version of pgAdmin 4 is released almost every month. I wonder what is the correct way to upgrade a newer version of it? Is it necessary to uninstall the older version first and install the new ...
2
votes
1answer
79 views

QGIS MADEIRA - could not load SIP module and qgis.utils.uninstallErrorHook error - Ubuntu 18.04

I updated QGIS Girona to QGIS Madeira and now I have the problem. Every time I open QGIS I get two errors: Couldn't load SIP module. Python support will be disabled. Traceback (most recent call last)...
0
votes
0answers
75 views

QGIS 3.4 macOS GRASS processing tools broken from fresh installation

Here is the error I get when running processing tools in QGIS 3.4 for macOS 2018-10-31T08:54:25 INFO GRASS GIS 7 execution console output WARNING: Default locale settings are missing. ...
3
votes
2answers
32 views

Is it possible to install multiple instance of ArcGIS Portal on the same machine?

For sandboxing purposes, I'd like to be able to test something on a clean instance of Portal, without taking down the portal instance that my team members are using. Is it possible to create another ...
1
vote
1answer
140 views

Downloading QGIS 3.4. for Mac?

I'm trying to download QGIS 3.4. for mac. However web site says version 3.4., link name and downloaded version is still 3.2.x. Anybody has to some issue? Do I anything wrong?
0
votes
0answers
40 views

Will Anaconda with Python 3.7 work with Python 3.6.5 environment of ArcGIS Pro?

I just uninstalled my Anaconda with Python 3.6 and need to reinstall, but the current version is now with Python 3.7. Will that work for ArcGIS Pro (Python 3.6.5)? I'll have to copy the ArcGIS Pro ...
0
votes
0answers
29 views

Import arcpy crashes on ArcGIS Server

I have installed ArcGIS Server 10.4 on Windows Server 2008 R2. I am intending to run standalone Python scripts. However when I tried to run the Python scripts, it crashed after importing arcpy. I ...
1
vote
1answer
83 views

Unable to install FUSION in QGIS 3.2?

I'm unable to install FUSION in QGIS 3.2 on Ubuntu 16.04. Andre Silva on Creating DEM from LAS file without using LAStools? says to use the same procedure as LAStools (up to QGIS 2.18 version). I've ...
1
vote
0answers
54 views

QGIS 3.2 installation error on Ubuntu 16

I am installing QGIS, I added the repository and cleaned my machine of any QGIS Packages, I tried removing and reinstalling qgis-providers but the same issue occurred again (see error-message): ...
1
vote
0answers
24 views

QGIS OSGEO4W Setup error [duplicate]

I uninstalled QGIS by deleting OSGEO4W folder. Then when I try to install it again using osgeo4w setup, I get this "zip.dll was not found" error message. Does anyone have the same issue?
2
votes
0answers
41 views

Upgrade PostGIS from 2.3.3 to latest version

Current I have the following Version of PostGIS POSTGIS="2.3.3 r15473" GEOS="3.5.1-CAPI-1.9.1 r4246" PROJ="Rel. 4.9.3, 15 August 2016" GDAL="GDAL 2.1.2, released 2016/10/24" LIBXML="2.9.4" ...
1
vote
0answers
222 views

Error installing Rasterio in PyCharm and in CMD Line

Error installing Rasterio in PyCharm (Settings > Project Interpreter) Collecting rasterio Using cached https://files.pythonhosted.org/packages/1a/d5/...
2
votes
1answer
25 views

Install PROJ 5 on Linux without compiling

I would like to try PROJ 5 to understand if it solves some issues with version 4. The documentation states the following regarding Linux: How to install PROJ on Linux depends on which distribution ...
0
votes
0answers
38 views

Configuring conda environment suitable for Python and ArcGIS Desktop gives UnsatistifiableError?

I want to set up a conda environment that is compatible with the Python 2.7 install that comes with ArcGIS Desktop 10.6.1. There are a number of tutorials online describing the how to do this. For ...
1
vote
1answer
231 views

Uninstalling and Reinstalling Anaconda

I had 2 versions of pandas (22 and 23) in my Anaconda environment for Python 3.6. One of the pandas looks like it was installed through Python 2.7 pip. Basically, I am unable to import pandas at all ...
1
vote
2answers
42 views

Enabling Data Interoperabilty Extension in ArcGIS Pro with Esri Evaluation Account?

I just created an Esri evaluation account to test the ArcGIS Data Interoperability extension in ArcGIS Pro, I assigned the extension in ArcGIS Online to an account. But I can not get access in ArcGIS ...
1
vote
0answers
26 views

Python module not being loaded at QGIS 2.1x startup

I run a university module which gets students to install and use QGIS2.18 to learn about GIS. One particular student - screenshot below - downloads and installs the .exe file but the python module ...
1
vote
1answer
42 views

Error installing QGIS on Mac OS X 10.11.6 (Why do I “need Xcode.app” to “compile qt5”?)

I'm trying to install QGIS by following the instructions in from this answer (using homebrew). I get the following error: $ brew install osgeo/osgeo4mac/qgis3 ==> Installing qgis3 from osgeo/...
6
votes
2answers
91 views

Custom ArcObjects Toolbar Unavailable for Some Users

I'm responsible for maintaining an extension to ArcMap that consists of a toolbar with a bunch of menus & commands & tools. It uses the old-style COM registration for all of its UI. Recent ...
0
votes
1answer
36 views

Installing MOLUSCE plugin on linux? (Error reading metadata: general)

I am trying to install MOLUSCE plugin on ubuntu but every time i try i get an error message saying: The plugin is broken. Python said: Error Reading metadata: general There is a screenshot ...
0
votes
2answers
133 views

Bonn 3.2.2 to buggy need to install older version of QGIS

I am having a lot of issues with Bonn 3.2.2 QGIS and would like to uninstall this version and install an older version that is more stable. What seems to be a stable version of version 3? What is ...
0
votes
1answer
120 views

ArcMap will not open?

ArcGIS Desktop 10.6 won't open. It just shows the splash, but then doesn't do anything. No error, no nothing. I turned my laptop off and back on; I renamed the normal.mxt file; I deleted said file; I ...
2
votes
1answer
128 views

Installing ArcGIS Desktop on Chromebook?

I teach a course on ArcGIS Desktop, and both of the last two times I taught the course I had a student whose computer was a Chromebook. I normally tell Mac and Linux users to install virtual ...
1
vote
2answers
464 views

Can't install PostGIS extension to PostgreSQL

I just installed a fresh new install of PostgreSQL-10.5-1-win64-bigsql Once installed I wanted to add the PostGIS extension ran: CREATE EXTENSION postgis; Got error message could not find C:\...
2
votes
0answers
77 views

No processing tools in QGIS 3.2 [duplicate]

I recently upgraded to QGIS 3.2 and followed the install instructions carefully. Under the raster and vector menus I have only 1 tool for vector and only 3 for raster. No analysis, geometry, ...
0
votes
0answers
56 views

Importing ArcPy in Python terminal?

I am getting a pretty interesting error in my attempt to import arcpy in my python command line. The end goal of this effort is to have a working Spyder IDE that can run arcpy. I've been able to get ...
1
vote
1answer
225 views

Installing Anaconda for Python 3.6 without wrecking Python 2.7

I have both Python 2.7 with ArcGIS 10.5 Desktop and Python 3.6 with ArcGIS Pro. A few weeks back, I tried to install Anaconda (w/ Conda, Spyder, Jupyter, etc..) and it somehow overwrote my system ...
1
vote
1answer
129 views

Failed to install Potree on Ubuntu 18.04 Bionic

I am trying to install Potree on my computer and I am stuck. I am following these instructions: $ sudo apt-get install python-software-properties git $ sudo apt-get install build-essential cmake g++ $...
0
votes
1answer
73 views

Cannot run external scripts with QGIS 3.2 on Mac OS X 10.12

I am trying to move some automation out of the GUI and into some external python scripts, and I am having a challenge getting a script to run in Terminal. I have a fully functioning install of QGIS 3....
2
votes
1answer
960 views

Installing QGIS for Mac OS X?

I downloaded QGIS MacOS installer version 3.2. I downloaded and installed Python 3.7 as instructed before I started the installation of QGIS. I was able to install GDAL but when I try to install ...
1
vote
1answer
421 views

Using GDAL in Python on Windows?

I am trying to get GDAL running under the following environment: Win 10 Miniconda3 (this is just Anaconda with fewer modules loaded by default) Python 3.6.6 I installed GDAL with conda install -c ...
1
vote
2answers
249 views

Installing PgPointCloud extension for PostgreSQL on Ubuntu Bionic

I'm stuck with the installation of the PgPointCloud extension for PostgreSQL. I found this article: https://connect.boundlessgeo.com/docs/suite/4.6/dataadmin/pointcloud/install.html But when I run ...
2
votes
0answers
209 views

Getting Spyder IDE to work with QGIS?

I was hoping someone could help me get Spyder working with QGIS. I am finding the python editor limiting within QGIS as I would like to debug my code, use the variable explorer, and be able to run ...
0
votes
2answers
119 views

ArcGIS Pro 2.0 and Anaconda environments

I have had to reinstall ArcGIS Pro 2.0 and have attempted to recreate an Anaconda environment, but am running into some problems. When I create a new environment from the initial ArcGIS Pro ...
1
vote
0answers
98 views

Installing Python module within code and running from ArcGIS Pro script tool?

I am trying to install a third-party Python package from within a Python script so that other users can run the script and the package can be installed and loaded without having to manually download ...